Package org.apache.calcite.avatica

## Class MetaImpl.MetaAttribute

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaAttribute

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaAttribute
    extends java.lang.Object

Metadata describing an attribute.

### Field Summary

Fields
`java.lang.String` `attrDef`
`java.lang.String` `attrName`
`java.lang.Integer` `attrSize`
`java.lang.String` `attrTypeName`
`java.lang.Integer` `charOctetLength`
`int` `dataType`
`java.lang.Integer` `decimalDigits`
`java.lang.String` `isNullable`
`int` `nullable`
`java.lang.Integer` `numPrecRadix`
`int` `ordinalPosition`
`java.lang.String` `remarks`
`java.lang.String` `scopeCatalog`
`java.lang.String` `scopeSchema`
`java.lang.String` `scopeTable`
`java.lang.Short` `sourceDataType`
`java.lang.Integer` `sqlDataType`
`java.lang.Integer` `sqlDatetimeSub`
`java.lang.String` `typeCat`
`java.lang.String` `typeName`
`java.lang.String` `typeSchem`

### Constructor Summary

Constructors
`MetaAttribute​(java.lang.String typeCat, java.lang.String typeSchem, java.lang.String typeName, java.lang.String attrName, int dataType, java.lang.String attrTypeName, java.lang.Integer attrSize, java.lang.Integer decimalDigits, java.lang.Integer numPrecRadix, int nullable, java.lang.Integer charOctetLength, int ordinalPosition, java.lang.String isNullable)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### typeCat

    public final java.lang.String typeCat

#### typeSchem

    public final java.lang.String typeSchem

#### typeName

    public final java.lang.String typeName

#### attrName

    public final java.lang.String attrName

#### dataType

    public final int dataType

#### attrTypeName

    public java.lang.String attrTypeName

#### attrSize

    public final java.lang.Integer attrSize

#### decimalDigits

    public final java.lang.Integer decimalDigits

#### numPrecRadix

    public final java.lang.Integer numPrecRadix

#### nullable

    public final int nullable

#### remarks

    public final java.lang.String remarks

#### attrDef

    public final java.lang.String attrDef

#### sqlDataType

    public final java.lang.Integer sqlDataType

#### sqlDatetimeSub

    public final java.lang.Integer sqlDatetimeSub

#### charOctetLength

    public final java.lang.Integer charOctetLength

#### ordinalPosition

    public final int ordinalPosition

#### isNullable

    public final java.lang.String isNullable

#### scopeCatalog

    public final java.lang.String scopeCatalog

#### scopeSchema

    public final java.lang.String scopeSchema

#### scopeTable

    public final java.lang.String scopeTable

#### sourceDataType

    public final java.lang.Short sourceDataType

### Constructor Detail

#### MetaAttribute

    public MetaAttribute​(java.lang.String typeCat,
                         java.lang.String typeSchem,
                         java.lang.String typeName,
                         java.lang.String attrName,
                         int dataType,
                         java.lang.String attrTypeName,
                         java.lang.Integer attrSize,
                         java.lang.Integer decimalDigits,
                         java.lang.Integer numPrecRadix,
                         int nullable,
                         java.lang.Integer charOctetLength,
                         int ordinalPosition,
                         java.lang.String isNullable)